Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1228)

Unified Diff: third_party/harfbuzz-ng/src/check-c-linkage-decls.sh

Issue 6052008: harfbuzz: check in harfbuzz-ng, add gyp define to use it (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: fix Created 9 years, 12 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « third_party/harfbuzz-ng/src/Makefile.am ('k') | third_party/harfbuzz-ng/src/check-header-guards.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: third_party/harfbuzz-ng/src/check-c-linkage-decls.sh
diff --git a/third_party/harfbuzz-ng/src/check-c-linkage-decls.sh b/third_party/harfbuzz-ng/src/check-c-linkage-decls.sh
new file mode 100755
index 0000000000000000000000000000000000000000..711d089a879847eba84738bbea643d972af9d07f
--- /dev/null
+++ b/third_party/harfbuzz-ng/src/check-c-linkage-decls.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+LC_ALL=C
+export LC_ALL
+
+test -z "$srcdir" && srcdir=.
+stat=0
+
+cd "$srcdir"
+
+for x in hb-*.c hb-*.cc hb-*.h hb-*.hh ; do
+ if ! grep -q HB_BEGIN_DECLS "$x" || ! grep -q HB_END_DECLS "$x"; then
+ echo "Ouch, file $x does not HB_BEGIN_DECLS / HB_END_DECLS"
+ stat=1
+ fi
+done
+
+exit $stat
« no previous file with comments | « third_party/harfbuzz-ng/src/Makefile.am ('k') | third_party/harfbuzz-ng/src/check-header-guards.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698